﻿@{
    ViewBag.Title = "select";
    Layout = "~/Views/Shared/_B3Layout.cshtml";
}
@section Scripts{
    @if (false)
    {
        <script src="../../Scripts/Public/jquery-1.11.1.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bootstrap3/bootstrap.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.ajax.js"></script>
        <script type="text/javascript" src="../../Scripts/Public/sa/jquery.sa.dialog.js"></script>
        <script src="../../Scripts/Public/bbss/validate.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/jqueryextend.js" type="text/javascript"></script>
        <script src="../../Scripts/Public/bbss/dropdownlist.js" type="text/javascript"></script>
    }
    <script type="text/javascript">

        $(document).ready(function () {


            var dropdownlist = $("#slPerson").dropdownlist({
                textfield: "Name",
                valuefield: "Value",
                items: [{ Name: "z3", Value: 1 }, { Name: "l4", Value: 2 }, { Name: "w5", Value: 3}],
                defaultvalue: 2,
                prompttype: "select",
                selectinit: function (e,data) {
                    $.sa.alert(data.dropdownlist.selectedValue());
                },
                selectchange: function (e,data) {
                    $.sa.alert("选择的内容由" + data.beforeItem.Name + "变更为" + data.currentItem.Name);
                }
            });
           



        });
        $(document).ready(function () {
            $("#btn1").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist();
                $.sa.alert(dropdownlist.selectedItem().Name);
            })
            $("#btn2").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist();
                dropdownlist.selectedValue(1);
            })
            $("#btn3").on("click", function () {
                var dropdownlist = $("#slPerson").dropdownlist().bind([{ Name: "xx", Value: 1 }, { Name: "yy", Value: 2 }, { Name: "zz", Value: 3}]);
            })
        });
    </script>
}
@section HeadCss{
    @if (false)
    {
        <link href="/Content/public/bootstrap3/bootstrap.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="../../Content/public/bootstrap3/bootstrap-custom.css" />
    }
}
<div class="container-fluid">
    <div class="row">
        <div class="pull-right gap-top">
            <button class="btn btn-primary" id="btn1">
                <span class="glyphicon glyphicon-search"></span>获取选中的item</button>
            <button class="btn btn-primary" id="btn2">
                <span class="glyphicon  glyphicon-floppy-disk">将item设置为：z3</button>
            <button class="btn btn-primary" id="btn3">
                <span class="glyphicon  glyphicon-floppy-disk">重新设置</button>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class="input-group  gap-top">
                <span class="input-group-addon title-md ">新的下拉框:</span>
                <div class=" input-group select validate notnull " id="slPerson">
                </div>
            </div>
        </div>
    </div>
</div>
